<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelEmployees extends Model

{
    protected $table = 'employees'; // Nama tabel di database
    protected $primaryKey = 'id_employees'; // Primary key tabel
    protected $allowedFields = ['name', 'specialization', 'phone', 'email']; // Kolom yang dapat diisi

    /**
     * Fungsi untuk mendapatkan semua data lansia
     *
     * @return array
     */
    public function getAllData()
    {
        return $this->orderBy('id_employees', 'DESC')->findAll();
    }

    /**
     * Fungsi untuk mendapatkan data lansia berdasarkan id_employees
     *
     * @param int $id_employees
     * @return array|null
     */
    public function getDataById($id_employees)
    {
        return $this->where('id_employees', $id_employees)->first();
    }

    /**
     * Fungsi untuk menambahkan data baru
     *
     * @param array $data
     * @return bool
     */
    public function tambahData($data)
    {
        return $this->insert($data);
    }

    /**
     * Fungsi untuk memperbarui data
     *
     * @param int $id_employees
     * @param array $data
     * @return bool
     */
    public function updateData($id_employees, $data)
    {
        return $this->update($id_employees, $data);
    }

    /**
     * Fungsi untuk menghapus data
     *
     * @param int $id_employees
     * @return bool
     */
    public function deleteData($id_employees)
    {
        return $this->delete($id_employees);
    }
}
